Enables all targeting rules for the specified advertiser.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/enable.do
Enables all targeting rules for the specified advertiser. After enabling, all defined targeting rules will be evaluated during ad serving. This is the counterpart to the disable targeting endpoint. Requires UPDATE permission on the advertiser and MANAGE_DEMAND_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/1234/targeting/enable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());